## org.apache.mahout.math.jet.random
Class HyperGeometric

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractDiscreteDistribution
                  org.apache.mahout.math.jet.random.HyperGeometric

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class HyperGeometric

extends AbstractDiscreteDistribution

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`HyperGeometric(int N, int s, int n, java.util.Random randomGenerator)` Deprecated. Constructs a HyperGeometric distribution.

Method Summary
`protected int` `hmdu(int N, int M, int n, java.util.Random randomGenerator)` Deprecated. Returns a random number from the distribution.
`protected int` `hprs(int N, int M, int n, java.util.Random randomGenerator)` Deprecated. Returns a random number from the distribution.
`int` `nextInt()` Deprecated. Returns a random number from the distribution.
`int` `nextInt(int N, int s, int n)` Deprecated. Returns a random number from the distribution; bypasses the internal state.
`protected int` `nextInt(int N, int M, int n, java.util.Random randomGenerator)` Deprecated. Returns a random number from the distribution; bypasses the internal state.
`double` `pdf(int k)` Deprecated. Returns the probability distribution function.
`void` `setState(int N, int s, int n)` Deprecated. Sets the parameters.
`java.lang.String` `toString()` Deprecated. Returns a String representation of the receiver.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDiscreteDistribution
`nextDouble`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyperGeometric

    public HyperGeometric(int N,
                          int s,
                          int n,
                          java.util.Random randomGenerator)

  Deprecated.
  Constructs a HyperGeometric distribution.

Method Detail

### hmdu

    protected int hmdu(int N,
                       int M,
                       int n,
                       java.util.Random randomGenerator)

  Deprecated.
  Returns a random number from the distribution.

### hprs

    protected int hprs(int N,
                       int M,
                       int n,
                       java.util.Random randomGenerator)

  Deprecated.
  Returns a random number from the distribution.

### nextInt

    public int nextInt()

  Deprecated.
  Returns a random number from the distribution.

  Specified by:
    `nextInt` in class `AbstractDiscreteDistribution`
  Returns:
    An integer sample from this hyper-geometric distribution.

### nextInt

    public int nextInt(int N,
                       int s,
                       int n)

  Deprecated.
  Returns a random number from the distribution; bypasses the internal state.

### nextInt

    protected int nextInt(int N,
                          int M,
                          int n,
                          java.util.Random randomGenerator)

  Deprecated.
  Returns a random number from the distribution; bypasses the internal state.

### pdf

    public double pdf(int k)

  Deprecated.
  Returns the probability distribution function.

### setState

    public void setState(int N,
                         int s,
                         int n)

  Deprecated.
  Sets the parameters.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.